Bug 198 - smbpasswd -a too noisy when backend files do not exist
smbpasswd -a too noisy when backend files do not exist
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0preX
Other other
: P3 enhancement
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-01 18:30 UTC by Tim Potter
Modified: 2005-08-24 10:19 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Potter 2003-07-01 18:30:20 UTC
If you run smbpasswd -a with either the smbpasswd or tdbsam backend and the
smbpasswd or passdb.tdb file does not exist, the user gets a confusing error
message.  This is at debug level 0.

tpot@proforma:~/work/samba-pp/samba-3.0/source$ sudo bin/smbpasswd -a tpot
New SMB password:
Retype new SMB password:
pdb_getsampwnam: Unable to open TDB passwd
(/home/tpot/work/samba-pp/prefix/private/passdb.tdb)!
Added user tpot.
tpot@proforma:~/work/samba-pp/samba-3.0/source$ sudo bin/smbpasswd -a tpot
New SMB password:
Retype new SMB password:
startsmbfilepwent_internal: unable to open file
/home/tpot/work/samba-pp/prefix/private/smbpasswd. Error was No such file or
directory
Unable to open passdb database.
startsmbfilepwent_internal: unable to open file
/home/tpot/work/samba-pp/prefix/private/smbpasswd. Error was No such file or
directory
Added user tpot.

This is pretty awful from a usability point of view.  Who cares whether the
backend files exist or not?  They should be created silently.

This is probably not worth worrying about for beta2.
Comment 1 Rafal Szczesniak 2003-07-20 14:48:02 UTC
Fixed now. The only small issue regards to tdb backend, but I need to talk to
tridge on how to resolve it.
Comment 2 Gerald (Jerry) Carter 2005-02-07 08:39:14 UTC
originally reported against 3.0.0beta1.  CLeaning out 
non-production release versions.
Comment 3 Gerald (Jerry) Carter 2005-08-24 10:19:24 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.